function [X]= stereo(P1,M1,P2,M2);
% use>[X]= stereo(P1,M1,P2,M2);

p11= P1(1,:);
p12= P1(2,:);
p13= P1(3,:);
p21= P2(1,:);
p22= P2(2,:);
p23= P2(3,:);
X=[];
for i= 1:size(M1,2)
    M(1,:)= M1(1,i)*p13-p11;
    M(2,:)= M1(2,i)*p13-p12;
    M(3,:)= M2(1,i)*p23-p21;
    M(4,:)= M2(2,i)*p23-p22;
    [U D V]= svd(M);
    X(:,i)= V(:,4);
end
if ~isempty(X)
    X= X./[ X(4,:); X(4,:); X(4,:); X(4,:)];
end


    