function [resimg] = drawcirc(x, y, r, img)
% Draws a circle at x, y with radius r
% Given graph must be inside graph!

currX=x;
currY=y;   
maxY = fix(r*cos(pi/4));
img(currY+r, currX)=1; img(currY-r, currX)=1;
img(currY, currX+r)=1; img(currY, currX-r)=1;
for y = 1:(maxY),
    x=round(sqrt((r^2)-(y^2)));
    img(currY+x, currX+y)=1; img(currY-x, currX+y)=1;
    img(currY+x, currX-y)=1; img(currY-x, currX-y)=1;
end
for x = y:-1:1,
    y=round(sqrt((r^2)-(x^2)));
    img(currY+x, currX+y)=1; img(currY-x, currX+y)=1;
    img(currY+x, currX-y)=1; img(currY-x, currX-y)=1;
end

resimg=img;
